## ros-rolling-mola-kernel 0.2.2

=== CMakeLists.txt ===
# ------------------------------------------------------------------------------
#        A Modular Optimization framework for Localization and mApping
#                               (MOLA)
#
# Copyright (C) 2018-2023, Jose Luis Blanco-Claraco, contributors (AUTHORS.md)
# All rights reserved.
# Released under GNU GPL v3. See LICENSE file
# ------------------------------------------------------------------------------

# Minimum CMake vesion: limited by CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS
cmake_minimum_required(VERSION 3.4)

# Tell CMake we'll use C++ for use in its tests/flags
project(mola_kernel LANGUAGES CXX)

# MOLA CMake scripts: "mola_xxx()"
find_package(mola_common REQUIRED)
find_package(mola_yaml REQUIRED)

# find dependencies:
find_package(MRPT 2.1.0 REQUIRED COMPONENTS gui obs maps)

# define lib:
file(GLOB_RECURSE LIB_SRCS src/*.cpp src/*.h)
file(GLOB_RECURSE LIB_PUBLIC_HDRS include/*.h)

mola_add_library(
	TARGET ${PROJECT_NAME}
	SOURCES ${LIB_SRCS} ${LIB_PUBLIC_HDRS}
	PUBLIC_LINK_LIBRARIES
		mrpt::obs
		mrpt::gui
		mola_yaml
	PRIVATE_LINK_LIBRARIES
		mrpt::gui   #TODO: remove after mapviz!
		mrpt::maps  #TODO: remove after mapviz!
	CMAKE_DEPENDENCIES
		mrpt-obs
		mrpt-gui
		mola_yaml
)

if ("$ENV{VERBOSE}")
	message(STATUS "mola_kernel: Using MRPT version: ${MRPT_VERSION}")
endif()

=== debian/changelog ===
ros-rolling-mola-kernel (0.2.2-1jammy) jammy; urgency=high

  * Correct references to the license.
  * viz interface: new service update_3d_object()
  * Fix const-correctness of observations
  * FIX missing dependency on mrpt::gui for public header
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

ros-rolling-mola-kernel (0.2.1-1jammy) jammy; urgency=high

  * Add virtual interface for dataset groundtruth
  * Update copyright date
  * Update to new colcon ROS2 build system
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 01 Sep 2023 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-mola-kernel
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-rolling-mola-common, ros-rolling-mola-yaml, ros-rolling-mrpt2, ros-rolling-ros-workspace
Homepage: https://github.com/MOLAorg/
Standards-Version: 3.9.2

Package: ros-rolling-mola-kernel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-mola-common, ros-rolling-mola-yaml, ros-rolling-mrpt2, ros-rolling-ros-workspace
Description: Fundamental C++ virtual interfaces and data types for the rest of MOLA modules

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-mola-kernel//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-mola-kernel//opt/ros/rolling/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
